---
_Created_: 2023-05-26 Fri
_Updated_: 2023-05-26 15:08 Fri
---

## 基本流程

```mermaid
sequenceDiagram
Title: 基本流程
产品->>财务: ① 提交预付款, 借款申请 (无账单明细)
activate 财务 
财务->>+出纳: 付款明细
Note right of 出纳: 银行付款
出纳-->>-财务: 银行账单
Note left of 出纳: [金额,时间]
财务-->>-产品: 确认已付
Note over 产品: ② 核定成本[供应商报价]
Note over 产品: 付供应商
产品->>+财务: ③ 销账: 提交账单明细,发票
Note right of 财务: 确认账单,发票
财务-->>-产品: 销账: 预付款, 借款
Note left of 产品: 核销完毕
```

## 操作

### 业务操作

#### ① 预付款, 借款 - 申请

**操作**
[(预付款, 借款) - 申请]((预付款,%20借款)%20-%20申请.md)

#### ② 核定成本

**操作入口**\
`计调服务`>`核账-基础`, 在此页面内确认成本数据, 点击`已核`即完成核定操作

==只有核定后的数据, 才能提交==

**筛选条件**

1. 科目: **成本 - 供应商报价**
2. 其他条件根据实际情况输入: 出行日期, 供应商等

#### ③ 销账 (即提交账单明细和发票)

成本数据核定之后, 才能提交到财务

**操作入口**
`产品管理`>`供应商付款申请`, 此页面内`新建`申请单并提交

1. `新建`, 弹窗内输入申请单的信息
   1. *单据类型*: `付款(使用预付款)`, `付款(使用个人借款)`
   2. *收款单位*: 即供应商.
      在下拉菜单中选中后, 开户银行等信息会自动填充, 如果没有, 需要在供应商信息管理中填好(`产品管理`>`供应商列表`).
      借款, 预付款单据, 可以根据实际情况填写收款的账号信息.
   3. *付款单位*: 操作付出款项的单位. 比如国旅或者第五季
   4. `添加明细`, 供应商已自动填好, `搜索`后即列出上一步<mark>已核定成本数据的订单数据</mark>, 勾选后确认, 支持多选

2. 确认保存账单信息. 收付款方, 具体明细等

> [!attention] 账单明细
>
> - 在提交之前, 账单明细勾选后仍可删除, 重新搜索添加
> - 仅在发起新建时添加账单明细, 提交保存之后, 明细不可再更改
> - 销账单据提交的要求:
>   - <mark>*预付款:*</mark> `付款单位`, `供应商`, `申请人`, 应完全一致, 用于挂账、计算预付款的余额
>   - <mark>*个人借款:* </mark> `付款单位`, `申请人`, 应完全一致
> - 系统完成的销账操作如下, 为了使账单明细和付款明细数据实现闭环:
>   - 计算预付款, 借款当前的余额, 将账单逐一写入原预付款, 借款的单据
>   - 将原预付款, 借款申请单的付款明细写入销账的单据
>   - 计算预付款, 借款本次销账后的余额

### 财务操作

#### 销账 (预付款, 借款)

##### ① 确认账单

账单数据无误, 操作`账款付清`即可
