---
_Created_: 2022-08-10 15:09 Mon
_Updated_: 2022-12-19 21:21 Mon
---

## 基本流程

```mermaid
sequenceDiagram
Title: 基本流程
Note over 产品: ① 核定成本[供应商报价]
产品->>财务: ② 付款申请 (账单明细)
财务-->>产品: 锁定申请
activate 财务 
Note right of 财务: 应付账款
财务->>+出纳: 付款明细
Note right of 出纳: 银行付款
出纳-->>-财务: 银行账单
Note left of 出纳: [金额,时间]
财务-->>-产品: 确认已付
Note left of 产品: 付款完成
loop 账单认领
	财务-->>财务: 付款记录 1 <--> [*] 申请明细
end
%%Note over 财务: 付款记录 1 <--> [*] 申请明细
```

## 操作

### 业务操作

#### ① 核定成本

**操作入口**
`计调服务`>`核账-基础`, 在此页面内确认成本数据, 点击`已核`即完成核定操作

==只有核定后的数据, 才能提交付款申请==

**筛选条件**

1. 科目: **成本 - 供应商报价**
2. 其他条件根据实际情况输入: 出行日期, 供应商等

#### ② 付款申请

成本数据核定之后, 才能提交申请到财务

**操作入口**
`产品管理`>`供应商付款申请`, 此页面内点击有`+`号的按钮, 新建相应的单据, 如图:
![Pasted image 20220923134141](../atta/Pasted%20image%2020220923134141.png)

1. **新建单据**, 弹窗内输入申请单的信息
   1. *收款单位*: 即供应商.
      在下拉菜单中选中后, 开户银行等信息会自动填充, 如果没有, 需要在供应商信息管理中填好(`产品管理`>`供应商列表`).
   2. *付款单位*: 操作付出款项的单位. 比如国旅或者第五季
   3. `添加明细`, 供应商已自动填好, `搜索`后即列出上一步==已核定成本数据的订单数据==, 勾选后确认, 支持多选

2. 确认保存申请单信息. 收付款方, 具体明细等

> [!attention] 账单明细
>
> - 在申请单提交之前, 账单明细勾选后仍可删除, 重新搜索添加
> - 仅在发起新建申请时添加账单明细, 申请提交保存之后, 明细不可再更改

### 财务操作

#### 付款申请

1. 添加付款明细.
2. 保存单据
3. 获得银行回执之后, 填写银行流水号到付款明细的`凭证号`列
4. 付款完毕后, 操作`账款付清`, 即付款申请完成.

#### 销账: 使用预付款, 使用个人借款, 退借款

对于`使用预付款`, `使用个人借款`, `退借款`这三种单据, 付款明细已经由系统自动填好,
金额分别从原申请单据中扣除

1. **确认账单无误, 操作`账款付清`即可**
